Update Contact
curl --request PUT \
--url https://api.swoogo.com/api/v1/cfs-contacts/update/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data reviewer=1 \
--data submitter=1import requests
url = "https://api.swoogo.com/api/v1/cfs-contacts/update/{contact_id}"
payload = {
"reviewer": "1",
"submitter": "1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({reviewer: '1', submitter: '1'})
};
fetch('https://api.swoogo.com/api/v1/cfs-contacts/update/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company": "company name",
"contact_id": 1,
"created_at": "2022-06-26 14:30:00",
"email": "user@domain.com",
"event_id": 1,
"first_name": "firstname",
"id": 1,
"job_title": "jobtitle",
"last_name": "lastname",
"reviewer": true,
"reviewer_role": "all_access",
"submitter": true,
"updated_at": "2022-06-26 14:30:00"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Call for Speaker Contacts
Update Contact
Updates an existing Call for Speakers contact by their ID. You can modify profile fields such as name, email, company, bio, and other speaker-related information.
PUT
/
cfs-contacts
/
update
/
{contact_id}
Update Contact
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the contact you want to update
Example:
1
Response
Update An Existing Contact
Example:
"company name"
Example:
1
Example:
"2022-06-26 14:30:00"
Example:
"user@domain.com"
Example:
1
Example:
"firstname"
Example:
1
Example:
"jobtitle"
Example:
"lastname"
Example:
true
Example:
"all_access"
Example:
true
Example:
"2022-06-26 14:30:00"
⌘I